Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516158 - Removing MATE accidentally removes the background set in a Gnome session.
Summary: Removing MATE accidentally removes the background set in a Gnome session.
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 07:58 UTC by ricky.tigg
Modified: 2018-09-30 21:35 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Fedora 26 – Gnome background picture. (deleted)
2017-11-22 07:58 UTC, ricky.tigg
no flags Details

Description ricky.tigg 2017-11-22 07:58:57 UTC
Created attachment 1357279 [details]
Fedora 26 – Gnome background picture.

Description of problem:
Removing the package group MATE from system accidentally removes the background set in a Gnome session.

Version-Release number of selected component (if applicable):

How reproducible – Steps to Reproduce:
1. In Gnome session, select the picture in attachment (darker version) as background then log out.
2. Install MATE: $ sudo dnf install -y @MATE. Once done log in to a Mate session and then log out.
3. Log in to a Gnome session. Remove MATE: $ sudo dnf remove -y @MATE.

Actual results:
The background is no longer the one setted in attachment, but is now a solid black colour. The two versions of the picture in attachment are no longer available from the Gnome Settings Background category.

Expected results:
Set background to remain as so.

Comment 1 Daniel Mach 2017-11-22 12:28:21 UTC
This is a packaging problem that cannot be fixed in DNF.
If Gnome doesn't require it, DNF can remove it.
Gnome should consider adding a dependency on the backgrounds to prevent removing the package.

Comment 2 ricky.tigg 2018-04-06 09:44:07 UTC
Issue no longer alive since v. 27 was upgraded to v. 28 beta.

Comment 3 Jaroslav Mracek 2018-04-06 10:13:31 UTC
I believe that the primary issue here is that there were no env. group marked as installed before install of MATE. The solution will be provided by Anaconda Team.
Work-around: Mark any environmental group as installed:
sudo dnf group mark install "Fedora Workstation"

Comment 4 ricky.tigg 2018-04-06 10:15:26 UTC
Thamks.


Note You need to log in before you can comment on or make changes to this bug.